# Library

Source: https://docs.elnora.ai/docs/api/reference/library
Last modified: 2026-09-08T22:35:25-06:00

> Library endpoints of the Elnora REST API.

Base URL `https://platform.elnora.ai/api/v1`. Authenticate every request with the `X-API-Key` header — see [Authentication](https://docs.elnora.ai/docs/get-started/authentication).

## `GET` /organizations/&#123;orgId&#125;/library/files

List published files in the organization library.

```bash
curl https://platform.elnora.ai/api/v1/organizations/{orgId}/library/files \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `orgId` | path | uuid | yes |
| `folderId` | query | uuid | no |
| `Page` | query | int32 | no |
| `PageSize` | query | int32 | no |
| `SortBy` | query | string | no |
| `SortDirection` | query | string | no |

**Responses**: `200`

## `GET` /organizations/&#123;orgId&#125;/library/folders

Get org library folder tree.

```bash
curl https://platform.elnora.ai/api/v1/organizations/{orgId}/library/folders \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `orgId` | path | uuid | yes |

**Responses**: `200`

## `POST` /organizations/&#123;orgId&#125;/library/folders

Create an org library folder (admin only).

```bash
curl -X POST https://platform.elnora.ai/api/v1/organizations/{orgId}/library/folders \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "name": "..." }'
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `orgId` | path | uuid | yes |

**Request body**

| Field | Type | Required |
| --- | --- | --- |
| `name` | string | yes |
| `parentFolderId` | uuid | no |

**Responses**: `201`

## `PUT` /organizations/&#123;orgId&#125;/library/folders/&#123;id&#125;

Rename an org library folder (admin only).

```bash
curl -X PUT https://platform.elnora.ai/api/v1/organizations/{orgId}/library/folders/{id} \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "name": "..." }'
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `orgId` | path | uuid | yes |
| `id` | path | uuid | yes |

**Request body**

| Field | Type | Required |
| --- | --- | --- |
| `name` | string | yes |

**Responses**: `200`

## `DELETE` /organizations/&#123;orgId&#125;/library/folders/&#123;id&#125;

Delete an org library folder (admin only).

```bash
curl -X DELETE https://platform.elnora.ai/api/v1/organizations/{orgId}/library/folders/{id} \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `orgId` | path | uuid | yes |
| `id` | path | uuid | yes |

**Responses**: `204`
